<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.Msg" table="VhcAlarm" schema="dbo">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="identity" />
        </id>
        <property name="vhcId" type="java.lang.Integer">
            <column name="VehicleID" not-null="true" />
        </property>
        <property name="createtime" type="java.util.Date">
            <column name="recvtime" not-null="true" />
        </property>
        <property name="content" type="java.lang.String">
            <column name="cstate" not-null="true" />
        </property>
        <property name="disposeDate" type="java.util.Date" update="true">
            <column name="doAlarmTime" not-null="true" default=""/>
        </property>
        <property name="disposeWay" type="java.lang.String">
            <column name="doAlarmWay" not-null="true" default=""/>
        </property>
        <property name="disposeContent" type="java.lang.String">
            <column name="AlarmContent" not-null="true" default=""/>
        </property>
        <property name="disposeResult" type="java.lang.String">
            <column name="doAlarmResult" not-null="true" default=""/>
        </property>
    </class>
</hibernate-mapping>
